| Classes - Annotated - Tree - Functions - Home - Structure

# QDomComment Class Reference
[ XML module ]

The QDomComment class represents an XML comment. More...

`#include <qdom.h>`

Inherits QDomCharacterData.

List of all member functions.

## Public Members

- QDomComment ()
- QDomComment ( const QDomComment & x )
- QDomComment& operator= ( const QDomComment & )
- ~QDomComment ()
- virtual QDomNode::NodeType nodeType () const
- virtual bool isComment () const

## Detailed Description

The QDomComment class represents an XML comment.

A comment in the parsed XML such as

      <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomComment::QDomComment ()

Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

### QDomComment::QDomComment ( const QDomComment & x )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomComment::~QDomComment ()

Destructor.

### bool QDomComment::isComment () const `[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomComment::nodeType() const `[virtual]`

Returns `CommentNode.`

Reimplemented from QDomNode.

### QDomComment& QDomComment::operator= ( const QDomComment & x )

Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.